This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1298477 - [abrt] qt5-qtdeclarative-devel: qt_message_fatal(): qmlplugindump killed by SIGABRT
[abrt] qt5-qtdeclarative-devel: qt_message_fatal(): qmlplugindump killed by S...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt5-qtdeclarative (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a73d388640a0ebc80d1fb609439...
:
: 1337952 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 03:53 EST by Aki Koskinen
Modified: 2016-12-20 12:53 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:53:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.62 KB, text/plain)
2016-01-14 03:53 EST, Aki Koskinen
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-14 03:53 EST, Aki Koskinen
no flags Details
File: core_backtrace (3.74 KB, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details
File: dso_list (10.43 KB, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details
File: environ (222 bytes, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details
File: maps (46.62 KB, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details
File: mountinfo (3.13 KB, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details
File: open_fds (311 bytes, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details
File: var_log_messages (404 bytes, text/plain)
2016-01-14 03:54 EST, Aki Koskinen
no flags Details

  None (edit)
Description Aki Koskinen 2016-01-14 03:53:48 EST
Version-Release number of selected component:
qt5-qtdeclarative-devel-5.5.1-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/qt5/bin/qmlplugindump -nonrelocatable org.kde.kquickcontrolsaddons 2.0 /usr/lib64/qt5/qml
crash_function: qt_message_fatal
executable:     /usr/lib64/qt5/bin/qmlplugindump
global_pid:     6296
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1578
 #3 QMessageLogger::fatal at global/qlogging.cpp:781
 #4 QWidgetPrivate::init at kernel/qwidget.cpp:1115
 #5 QDialog::QDialog at dialogs/qdialog.cpp:324
 #6 KIconDialog::KIconDialog at ../../src/kicondialog.cpp:257
 #7 IconDialog::IconDialog at ../../../../src/qmlcontrols/kquickcontrolsaddons/icondialog.cpp:34
 #8 QQmlPrivate::QQmlElement<IconDialog>::QQmlElement at /usr/include/qt5/QtQml/qqmlprivate.h:93
 #9 QQmlPrivate::createInto<IconDialog> at /usr/include/qt5/QtQml/qqmlprivate.h:102
 #10 QQmlType::create at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/qqmlmetatype.cpp:715
 #11 collectReachableMetaObjects at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/tools/qmlplugindump/main.cpp:310

Potential duplicate: bug 1147344
Comment 1 Aki Koskinen 2016-01-14 03:53:56 EST
Created attachment 1114721 [details]
File: backtrace
Comment 2 Aki Koskinen 2016-01-14 03:53:58 EST
Created attachment 1114722 [details]
File: cgroup
Comment 3 Aki Koskinen 2016-01-14 03:54:00 EST
Created attachment 1114723 [details]
File: core_backtrace
Comment 4 Aki Koskinen 2016-01-14 03:54:02 EST
Created attachment 1114724 [details]
File: dso_list
Comment 5 Aki Koskinen 2016-01-14 03:54:03 EST
Created attachment 1114725 [details]
File: environ
Comment 6 Aki Koskinen 2016-01-14 03:54:05 EST
Created attachment 1114726 [details]
File: limits
Comment 7 Aki Koskinen 2016-01-14 03:54:07 EST
Created attachment 1114727 [details]
File: maps
Comment 8 Aki Koskinen 2016-01-14 03:54:09 EST
Created attachment 1114728 [details]
File: mountinfo
Comment 9 Aki Koskinen 2016-01-14 03:54:11 EST
Created attachment 1114729 [details]
File: namespaces
Comment 10 Aki Koskinen 2016-01-14 03:54:13 EST
Created attachment 1114730 [details]
File: open_fds
Comment 11 Aki Koskinen 2016-01-14 03:54:14 EST
Created attachment 1114731 [details]
File: proc_pid_status
Comment 12 Aki Koskinen 2016-01-14 03:54:16 EST
Created attachment 1114732 [details]
File: var_log_messages
Comment 13 Peter Andreasen 2016-03-28 10:38:58 EDT
Similar problem has been detected:

Creating a new project with qtcreator. Qtcreator seemed to start normally after this error message.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/qt5/bin/qmlplugindump -nonrelocatable org.kde.kquickcontrolsaddons 2.0 /usr/lib64/qt5/qml
crash_function: qt_message_fatal
executable:     /usr/lib64/qt5/bin/qmlplugindump
global_pid:     2389
kernel:         4.4.6-300.fc23.x86_64
package:        qt5-qtdeclarative-devel-5.5.1-4.fc23
reason:         qmlplugindump killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Aki Koskinen 2016-04-15 03:11:45 EDT
Similar problem has been detected:

Started QtCreator and immediately this problem occured. QtCreator didn't crash however and seems to continue to function properly.

I'm using Cinnamon desktop but the backtrace seems to indicate something KDE related. I have KDE installed also.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/qt5/bin/qmlplugindump -nonrelocatable org.kde.kquickcontrolsaddons 2.0 /usr/lib64/qt5/qml
crash_function: qt_message_fatal
environ:        
executable:     /usr/lib64/qt5/bin/qmlplugindump
global_pid:     11471
kernel:         4.4.6-301.fc23.x86_64
package:        qt5-qtdeclarative-devel-5.5.1-4.fc23
reason:         qmlplugindump killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1002
Comment 15 Yaroslav Pronin 2016-05-20 10:23:50 EDT
*** Bug 1337952 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2016-11-24 09:56:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 12:53:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.